$ontext
Copyright 2011 Ulrich Kleinwechter.

This file is part of Guimod 1.01.

Guimod is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Guimod is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Guimod.  If not, see <http://www.gnu.org/licenses/>.
$offtext

$ontext
This file does the following:  
- Calculate CPI to update poverty lines
-  Write the data into a file 'guimod1.01_incchange_sims_lib.xls' which will be
   used by the R script 'povanalysis.r' to calculate poverty and inequality impacts.
$offtext

*# Calculate CPI

Parameters
         comtotsh(CD,H,sim)  Value share of commodity c in total demand
         CPI(sim)
         comchck(H,sim);

comtotsh(CD,H,sim)    =  levPD(CD,H,sim)*levQDT(CD,H,sim)/SUM(C,levPD(C,H,sim)*levQDT(C,H,sim))   ;


CPI(sim) = SUM(H,SUM(CD,comtotsh(CD,H,sim)*levPD(CD,H,sim)))/6;

comchck(H,sim) = SUM(CD,comtotsh(CD,H,sim));

*Display comchck, comtotsh, CPI;

*# Write the data into an xls file which will be used by the R script.
$libinclude xldump percYH guimod1.01_incchange_sims_lib.xls incch!a1
$libinclude xldump percHS guimod1.01_incchange_sims_lib.xls hsizech!a1
$libinclude xldump CPI guimod1.01_incchange_sims_lib.xls cpi!a1
